Name:           python-komora-syncer
Version:        5.6
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Synchronize data between Komora and Netbox applications

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://gitlab.cesnet.cz/701/done/netbox_komora_syncer
Source:         %{pypi_source komora_syncer}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'komora-syncer' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-komora-syncer
Summary:        %{summary}

%description -n python3-komora-syncer %_description


%prep
%autosetup -p1 -n komora_syncer-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-komora-syncer -f %{pyproject_files}


%changelog
%autochangelog